Bundles
List bundles
Paginated, filterable, sortable list of bundles. Unknown query parameters are rejected.
Paginated, filterable, sortable list of bundles. Unknown query parameters are rejected.
Authorization
ApiKeyAuth x-api-key<token>
API key from the CoverPort developer portal.
In: header
Query Parameters
page?integer
One-based page number.
Range
1 <= valueDefault
1limit?integer
Range
1 <= value <= 100Default
20sort?string
Default
"creation_datetime"Value in
- "creation_datetime"
- "last_updated_datetime"
- "insurance_bundled_product_customer_facing_name"
- "insurance_bundled_product_name"
- "insurance_bundled_product_product_line_count"
order?string
Default
"desc"Value in
- "asc"
- "desc"
test_mode?string
Value in
- "true"
- "false"
is_recurring?string
Value in
- "true"
- "false"
root_insurer_db_id?integer
Range
1 <= valueroot_mga_db_id?integer
Range
1 <= valueroot_seller_db_id?integer
Range
1 <= valuesearch?string
Matches against bundle names and descriptions.
Length
length <= 255Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/bundles"{ "success": true, "data": [ { "id": 42, "bundle_name": "string", "customer_facing_name": "string", "internally_facing_name": "string", "bundle_description": "string", "is_recurring": true, "is_test_mode": true, "product_line_count": 0, "root_insurer_db_id": 0, "root_mga_db_id": 0, "root_seller_db_id": 0, "question_set_id": 0, "youtube_link": "string", "creation_datetime": "2019-08-24T14:15:22Z", "last_updated_datetime": "2019-08-24T14:15:22Z" } ], "metadata": { "total": 45, "count": 20, "hasMore": true, "pagination": { "pageSize": 20, "pageIndex": 0 } }, "message": "string"}